# Minimum audacious/audacious-plugins version in inter-package
# dependencies. We need 2.2 for both.
%define aud_ver 2.2

%define plugindir %(pkg-config audacious --variable=input_plugin_dir)

Summary: Future Composer input plugin for Audacious
Name: audacious-plugin-fc
Version: 0.4
Release: 3
URL: http://xmms-fc.sourceforge.net/
License: GPLv2+
Source:	http://downloads.sourceforge.net/xmms-fc/audacious-plugin-fc-%{version}.tar.bz2
Group: Applications/Multimedia
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: audacious-devel >= %{aud_ver}
BuildRequires: pkgconfig

Provides: audacious-plugins-fc = %{version}-%{release}
Requires: audacious >= %{aud_ver}

# applied upstream
Patch0: audacious-plugin-fc-0.4-unknown-songtime.patch


%description
This is an input plugin for Audacious which can play back Future Composer
music files from AMIGA. Song-length detection and seek are implemented, too.


%prep
%setup -q
%patch0 -p1 -b .unknown-songtime


%build
%configure
# temporary work-around for #454364
#ln -s Config.h src/config.h
# ---
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README src/FC.README
%{plugindir}/libfc.so
%exclude %{plugindir}/libfc.la


%changelog
* Sun Jan 17 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.4-3
- Rebuild for audacious.pc --libs changes.

* Sat Oct 24 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.4-2
- Set empty/unknown initial songtime instead of 0:00.

* Fri Oct 23 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.4-1
- Upgrade to 0.4 for Audacious 2.2 InputPlugin API changes.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun  7 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.3-4
- Patch for Audacious 2.

* Fri Jun  5 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.3-3
- Rebuild for libmowgli SONAME dependency.
- Add audacious-plugins-fc Provides.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 16 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.3-1
- Update to 0.3 for Audacious >= 1.4.0.

* Fri Aug 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.2-7
- in %%build add work-around for #454364 (libSAD API headers are broken)

* Fri Feb 08 2008 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt for GCC 4.3 as requested by Fedora Release Engineering

* Wed Nov 21 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.2-5
- patch for new API
- rebuilt for SONAME changes in Audacious 1.4.x

* Tue Aug 21 2007 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Thu Aug  2 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.2-2
- clarify licence (GPLv2+)

* Thu Mar  8 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.2-1
- Upstream update to 0.2 for Audacious >= 1.3.0.

* Thu Jan 18 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1-2
- Initial package submission for Fedora Package Review (#222648).
